{
  "env": {
    "browser": true,
    "es6": true,
    "node": true
  },
  "extends": ["plugin:react/recommended", "prettier"],
  "globals": {
    "Atomics": "readonly",
    "SharedArrayBuffer": "readonly"
  },
  "parserOptions": {
    "ecmaFeatures": {
      "jsx": true,
      "modules": true
    },
    "sourceType": "module",
    "ecmaVersion": "latest"
  },
  "plugins": ["react", "prettier"],
  "rules": {
    "react/jsx-filename-extension": [
      "error",
      {
        "extensions": [".js"]
      }
    ],
    "brace-style": [
      "warn",
      "stroustrup",
      {
        "allowSingleLine": false
      }
    ],
    "curly": ["error", "all"],
    "multiline-ternary": ["warn", "always-multiline"],
    "no-param-reassign": [
      "error",
      {
        "props": false
      }
    ],
    "react/jsx-key": ["warn", { "checkFragmentShorthand": true }],
    "prettier/prettier": "warn"
  },
  "settings": {
    "react": {
      "version": "detect"
    }
  }
}
